summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/chaco')
-rw-r--r--dev-python/chaco/Manifest1
-rw-r--r--dev-python/chaco/chaco-4.5.0.ebuild39
-rw-r--r--dev-python/chaco/metadata.xml18
3 files changed, 58 insertions, 0 deletions
diff --git a/dev-python/chaco/Manifest b/dev-python/chaco/Manifest
new file mode 100644
index 00000000000..ef835935c34
--- /dev/null
+++ b/dev-python/chaco/Manifest
@@ -0,0 +1 @@
+DIST chaco-4.5.0.tar.gz 409562 SHA256 809674bdbdaf1a363b180366c6eaa70d9c49aa2c93b1933ee5c481e0a072da9c SHA512 66e1d82bbbf74e143e42f92eec7c83abc6f0eef488629947422a8ab2140a5a5bacf0f4e2a79f2acb8670417c9a620c9e85f295729525e011b8a09a1ff916e8c6 WHIRLPOOL 4e1187fc6cf1fa7aa3b4b86ec5d3d10917067303614615cce225aa90194ced492ea0d0e99a1088fa48959bb5fabae3e44545fde10754802a1cc2b21ffbafc342
diff --git a/dev-python/chaco/chaco-4.5.0.ebuild b/dev-python/chaco/chaco-4.5.0.ebuild
new file mode 100644
index 00000000000..1d43377338e
--- /dev/null
+++ b/dev-python/chaco/chaco-4.5.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 virtualx flag-o-matic
+
+DESCRIPTION="Enthought Tool Suite: Interactive plotting toolkit"
+HOMEPAGE="http://code.enthought.com/projects/chaco/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/enable-4.4.0[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ >=dev-python/traitsui-4[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ media-fonts/font-cursor-misc
+ media-fonts/font-misc-misc
+ )"
+
+python_prepare_all() {
+ append-cflags -fno-strict-aliasing
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ cd "${BUILD_DIR}"/lib || die
+ VIRTUALX_COMMAND="nosetests" virtualmake
+}
diff --git a/dev-python/chaco/metadata.xml b/dev-python/chaco/metadata.xml
new file mode 100644
index 00000000000..a33331ab16d
--- /dev/null
+++ b/dev-python/chaco/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>python</herd>
+<longdescription lang="en">
+ Chaco is a Python plotting application toolkit and a part of
+ Enthought Tool Suite. It is meant to facilitate writing plotting
+ applications of all levels of complexity, from simple scripts with
+ hard-coded data to large plotting programs with complex data
+ interrelationships and a multitude of interactive tools. While Chaco
+ generates nice static plots for publication and presentation
+ purposes, its components are all designed to be work well for
+ interactive data visualization.
+</longdescription>
+<upstream>
+ <remote-id type="pypi">chaco</remote-id>
+</upstream>
+</pkgmetadata>